# $Revision: 1.2 $, $Date: 2002/08/05 09:31:24 $
#
# Conditional build:
# _with_tests - perform "make test"
%include	/usr/lib/rpm/macros.perl
%define		pdir	Audio
%define		pnam	Ecasound
Summary:	Audio::Ecasound Perl module - bindings to the ecasound control interface
Summary(pl):	Modu Perla Audio::Ecasound - dowizania do interfejsu ecasound
Name:		perl-Audio-Ecasound
Version:	0.2
Release:	2
License:	Artistic or GPL
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
Patch0:		%{name}-ecasound-2.1.patch
BuildRequires:	libecasound-devel >= 2.0.1
BuildRequires:	perl >= 5.6
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Audio::Ecasound provides perl bindings to the ecasound control
interface of the ecasound program. You can use perl to automate or
interact with ecasound. Ecasound is a software package designed for
multitrack audio processing. It can be used for audio playback,
recording, format conversions, effects processing, mixing and as a
LADSPA plugin host.

%description -l pl
Modu Audio::Ecasound udostpnia dowizania do interfejsu
kontrolujcego program ecasound. Umoliwia automatyzacj czynnoci
wykonywanych pod kontrol tego programu. Ecasound to pakiet sucy do
obrbki wielociekowego dwiku. Moe by uywany do odtwarzania,
nagrywania, konwersji midzy formatami, przepuszczania przez efekty,
miksowania oraz jako baza dla wtyczek LADSPA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
if [ -x /usr/bin/libecasoundc2-config ]; then
%patch -p1
fi

%build
echo 'y' | perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

# test disabled by default - it hangs
%{?_with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_sitearch}/Audio/Ecasound.pm
%dir %{perl_sitearch}/auto/Audio/Ecasound
%{perl_sitearch}/auto/Audio/Ecasound/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/Audio/Ecasound/*.so
%{_mandir}/man3/*
%attr(755,root,root) %{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-Audio-Ecasound.spec,v $
Revision 1.2  2002/08/05 09:31:24  ankry
- disable "make test" by default (it hangs without working audio device)
- release 2

Revision 1.1  2002/08/04 19:23:52  qboosh
- new

